/*
 *      encipher2.c
 *      
 *      Copyright 2011 Contest Team 19 <cteam019@pc-221-151>
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */


#include <stdio.h>
#include <stdlib.h>

int main(int argc, char** argv)
{
	int step, count, i, j;
	char c;
	char inputText [10001];
	char * nasePole;
	
	while (1)
	{
		scanf ("%d", &step);
		
		if (!step)
		{
			break;
		}
		
		count = 0;
		c = getchar (); // buffer flush
		while (1)
		{
			c = getchar ();
			
			if (c == ' ')
			{
				continue;
			}
			
			if (c == '\n')
			{
				inputText[count] = '\0';
				break;
			}
			
			if (c >= 97 && c <= 122) // Prevod malych pismen na velke
				inputText[count++] = c - 32;
			else
				inputText[count++] = c;
				
			nasePole = (char *) malloc (count * sizeof (char));
			
			for (i = 0; i < count; i ++)
			{				
				if (i * step > count)
				{
					nasePole[i] = inputText[i];
				}
				else
				{
					nasePole[i * step] = inputText[i];
				}
				
			}
			
			printf ("%s", nasePole);
			
			free (nasePole);
		}
	}
	
	return 0;
}
